@import 'variables';
@import './mixins/mixins.scss';

ul.cards {
  list-style: none;
  padding: 0;
  margin: 0 -5px;

  @media (min-width: $screen-xs) and (max-width: $screen-md) {
    margin: 0 -8px;
  }

  @media (min-width: $screen-md) {
    margin: 0 -15px;
  }

  &::after {
    content: "";
    display: block;
    clear: left;
  }

  li.item {
    float: left;
    width: 100%;

    &.featured:first-child {
      width: 100%;
      @media (min-width: $screen-lg) {
        width: 49.3%;
      }
      .item_title .title_link .title_content_group {
        left: 30px;
        right: 30px;
        bottom: 30px;
        @media (min-width: $screen-xlg) {
          left: 40px;
          right: 40px;
          bottom: 40px;
        }
        span.alt_title {
          font-size: 14px;
          line-height: 20px;
          max-height: 20px;
        }
        span.title {
          font-size: 32px;
          line-height: 36px;
          font-weight: bold;
          text-shadow: 4px 6px 4px $color-black;
          @media (min-width: $screen-md) {
            font-size: 36px;
            line-height: 42px;
          }
        }
      }
    }

    @media (min-width: $screen-xs) and (max-width: $screen-lg) {
      &.grid-3,
      &.grid-4 {
        width: 50%;
        &:not(.featured):nth-child(2n+1) {
          clear: left;
        }
      }
    }

    @media (min-width: $screen-lg) {
      width: 33.333%;
      &.grid-3 {
        width: 33.333%;
        &:not(.featured):nth-child(3n+1) {
          clear: left;
        }
      }

      &.grid-4 {
        width: 25%;
        &:not(.featured):nth-child(4n+1) {
          clear: left;
        }
        .item_title a.title_link span.title_content_group {
          right: 20px;
          bottom: 20px;
          left: 20px;
        }
        .item_title a.title_link span.title_content_group span.title {
          font-size: 22px;
          line-height: 26px;
        }
      }

      &.grid-5 {
        width: 20%;
      }

      &.grid-6 {
        width: 16.6666%;
      }
    }

    .wrapper {
      padding: 5px;
      position: relative;
      @media (min-width: $screen-xs) and (max-width: $screen-md) {
        padding: 8px;
      }
      @media (min-width: $screen-md) {
        padding: 15px;
      }
    }

    .card {
      position: relative;
      overflow: hidden;
      border:1px solid rgba($color:$color-primary, $alpha: .9);
      box-shadow: 8px 8px 0 0 lighten($color: $color-primary, $amount: 40);
      @include set_transition(all ease-in-out 0.1s);

      &.dark {
        border-color: rgba($color:$color-white, $alpha: .5);
        box-shadow: 8px 8px 0 0 lighten($color: $color-black, $amount: 15);
      }

      .title_shade {
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        top: 10%;
        background-image: linear-gradient(to bottom, rgba(255,0,0,0), rgba(0,0,0,0.9));
        z-index: 0;
      }

      .is_sponsored {
        position: absolute;
        top: 0;
        right: 0;
        font-size: small;
        padding: 2px 10px;
        color: $color-white;
        background-color: $color-primary;
        background: linear-gradient(180deg, $color-primary, darken($color-primary, 20));
        border-bottom-left-radius: 8px;
      }

      &:hover {
        @media (min-width: $screen-lg) {
          @include set_transform(rotate(-2deg) translateY(-5px) scale(1.045));
        }
      }
    }

    .item_image {
      @media (min-width: $screen-xlg) {
        overflow: hidden;
      }
      img {
        display: block;
      }
    }

    .item_title {
      z-index: 1;

      @media (min-width: $screen-xlg) {
        margin-right: 0.5em;
        margin-right: 80px;
      }

      a.title_link {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        z-index: 1;
        span.title_content_group {
          position: absolute;
          right: 20px;
          bottom: 20px;
          left: 20px;
          color: rgba($color: $color-white, $alpha: .8);
          z-index: 1;
          @media (min-width: $screen-xs) and (max-width: $screen-sm) {
            right: 15px;
            bottom: 15px;
            left: 15px;
          }
          @media (min-width: $screen-sm) and (max-width: $screen-xlg) {
            right: 30px;
            bottom: 30px;
            left: 30px;
          }
          span.alt_title {
            display: inline-block;
            padding: 0 5px;
            font-size: 12px;
            line-height: 18px;
            text-transform: uppercase;
            border:1px solid rgba($color:$color-white, $alpha: .5);
            color: $color-white;
            overflow: hidden;
            box-shadow:2px 2px 1px rgba($color:$color-black, $alpha: .2);
            @media (min-width: $screen-xs) and (max-width: $screen-sm) {
              font-size: 10px;
              line-height: 14px;
              max-height: 16px;
            }

            @media (min-width: $screen-md) {
              font-size: 12px;
              line-height: 18px;
              max-height: 20px;
            }
          }
          span.title {
            display: block;
            font-size: 18px;
            line-height: 20px;
            font-weight: bold;
            text-shadow: 1px 1px 1px $color-black;
            @media (min-width: $screen-xs) and (max-width: $screen-sm) {
              font-size: 18px;
              line-height: 22px;
            }
            @media (min-width: $screen-sm) and (max-width: $screen-xlg) {
              font-size: 22px;
              line-height: 26px;
            }
            @media (min-width: $screen-xlg) {
              font-size: 18px;
              line-height: 22px;
            }
          }
        }
      }
    }
  }
}